[
{
    blockid=quota;
    help=store_quota_quota;
    custom="com.netscape.management.msgserv.StoreQuotaControl";
    localvar={
	/* translate this block */
	.header.text="\u5236\u9650\u5bb9\u91cf\u306e\u8a2d\u5b9a";
	.quotaenforcement.text="\u5bb9\u91cf\u5236\u9650\u5b9f\u65bd\u3092\u6709\u52b9";
	.quotanotification.text="\u5bb9\u91cf\u5236\u9650\u901a\u77e5\u3092\u6709\u529f";
	.defquota.text="\u30c7\u30d5\u30a9\u30eb\u30c8\u306e\u30e6\u30fc\u30b6\u30fc\u30c7\u30a3\u30b9\u30af\u5236\u9650\u5bb9\u91cf:";
	.defmsgquota.text="\u30c7\u30d5\u30a9\u30eb\u30c8\u306e\u30e6\u30fc\u30b6\u30fc\u30e1\u30c3\u30bb\u30fc\u30b8\u5236\u9650\u5bb9\u91cf :";
	.defquota.labels=["K \u30d0\u30a4\u30c8", "M \u30d0\u30a4\u30c8"];
	.imapquotahelp.text="\u8b66\u544a\u3092\u884c\u3046\u6642\u306e\u3001\u30c7\u30a3\u30b9\u30af\u5236\u9650\u306b\u5bfe\u3059\u308b\u4f7f\u7528\u91cf\u306e\u5272\u5408\u3002";
	.gracehelp.text="\u6b21\u306e\u6307\u5b9a\u306e\u7336\u4e88\u671f\u9593\u304c\u7d4c\u904e\u3059\u308b\u3068\u3001\u30b5\u30fc\u30d0\u30fc\u3067\u30e1\u30fc\u30eb\u3092\u62d2\u5426\u3002";
	.quota.text="\u5236\u9650\u5bb9\u91cf\u306e\u8b66\u544a\u306e\u3057\u304d\u3044\u5024:";
	.unlimited.text="\u7121\u5236\u9650";
	.grace.text="\u5236\u9650\u5bb9\u91cf\u8d85\u904e\u6642\u306e\u7336\u4e88\u671f\u9593:";
	.grace.labels=["\u6642\u9593","\u65e5"];
	.quotamsg.text="\u5236\u9650\u5bb9\u91cf\u3092\u8d85\u3048\u305f\u5834\u5408\u306b\u30e6\u30fc\u30b6\u30fc\u306b\u9001\u4fe1\u3059\u308b\u30e1\u30c3\u30bb\u30fc\u30b8:";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    text=$.header.text;
	    wrap=$g.label.size5;
	    font=["","",16];
	    constraint={
	    	gridx=0;
	        gridy=0;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=1;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	/* Added in IMS 5.0 ---> */
	{
		ctrl=togglepane;
		id=quotaenforcement;
		text=$.quotaenforcement.text;
		wrap=$g.label.size1;
		val=$quotaenforcement.value;
		inline=true;
		constraint={
	        gridx=0;
	        gridy=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }		
	},
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=3;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
		ctrl=togglepane;
		id=quotanotification;
		text=$.quotanotification.text;
		wrap=$g.label.size1;
		val=$quotanotification.value;
		inline=true;
		constraint={
	        gridx=0;
	        gridy=4;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }		
	},
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=5;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	/* <--- Added in IMS 5.0 */
	{
	    ctrl=label;
	    id=defquotalabel;
	    text=$.defquota.text;
	    wrap=$g.label.size1;
	    constraint={
	        gridx=0;
	        gridy=6;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    label=defquotalabel;
	    style=radio;
	    group=defquota;
	    text=$.unlimited.text;
	    id=quotaunlimited;
	    inline=true;
	    constraint={
	        gridx=1;
	        gridy=6;
	        weightx=9;
	        fill=h;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    label=defquotalabel;
	    group=defquota;
	    style=radio;
	    text="";
	    id=quotalimited;
	    inline=true;
	    constraint={
	        gridx=1;
	        gridy=7;
	        weightx=9;
	        fill=h;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	    content=[
		{
		    ctrl=number;
		    id=defaultquota;
		    label=defquotalabel;
		    unit=byte;
		    items=[kb,mb];
		    labels=$.defquota.labels;
		    val=$defaultmailboxquota.value;
		    min=-1;
		},
		{
		    ctrl=hglue;
		}
	    ]
	},
	/* Added in IMS 5.0 ---> */
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=8;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=defmsgquotalabel;
	    text=$.defmsgquota.text;
	    wrap=$g.label.size1;
	    constraint={
	        gridx=0;
	        gridy=9;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    label=defmsgquotalabel;
	    style=radio;
	    group=defmsgquota;
	    text=$.unlimited.text;
	    id=quotamsgunlimited;
	    inline=true;
	    constraint={
	        gridx=1;
	        gridy=9;
	        weightx=9;
	        fill=h;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    group=defmsgquota;
	    style=radio;
	    text="";
	    id=quotamsglimited;
	    inline=true;
	    constraint={
	        gridx=1;
	        gridy=10;
	        weightx=9;
	        fill=h;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	    content=[
	    	{
	    		ctrl=number;
	    		id=defaultmsgquota;
			label=defmsgquotalabel;
			val=$defaultmessagequota.value;
			min=-1;
	    	},
	    	{
		    ctrl=hglue;
		}
	    ]
	},
	/* <--- Added in IMS 5.0 */
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=11;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    text=$.imapquotahelp.text;
	    wrap=$g.label.size5;
	    constraint={
	        gridx=0;
	        gridy=12;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=quotalabel;
	    text=$.quota.text;
	    wrap=$g.label.size1;
	    constraint={
	        gridx=0;
	        gridy=13;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=pane;
	    constraint={
	        gridx=1;
	        gridy=13;
	        weightx=9;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	    content=[
		{
		    ctrl=number;
		    val=$quotawarn.value;
		    label=quotalabel;
		    max=100;
		    aligny=0.5;
		},
		{
		    ctrl=label;
		    text=" %";
		    aligny=0.5;
		}
	    ]
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=14;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=quotamsglabel;
	    text=$.quotamsg.text;
	    wrap=$g.label.size5;
	    constraint={
	        gridx=0;
	        gridy=15;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=switchboard;
	    switchborder=false;
	    constraint={
	        gridx=0;
	        gridy=16;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	    switch=[
		{
		    ctrl=choice;
		    id=exceedlang;
		    items=$g.usrlang.items;
		    labels=$g.usrlang.labels;
		    sendmodified=false;
		}
	    ];
	    content=[
		{
		    ctrl=textarea;
		    id=exceedtext;
		    label=quotamsglabel;
		}
	    ];
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=17;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    text=$.gracehelp.text;
	    wrap=$g.label.size5;
	    constraint={
	        gridx=0;
	        gridy=18;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=gracelabel;
	    text=$.grace.text;
	    target=gracectrl;
	    wrap=$g.label.size1;
	    constraint={
	        gridx=0;
	        gridy=19;
	        weightx=1;
	        fill=h;
	        anchor=northwest;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=number;
	    id=gracectrl;
	    label=gracelabel;
	    unit=hr;
	    items=[hr,day];
	    labels=$.grace.labels;
	    val=$quotagraceperiod.value;
	    constraint={
	        gridx=1;
	        gridy=19;
	        weightx=9;
	        weighty=1;
	        anchor=northwest;
	        insets=$g.insets.comp;
	    }
	}
    ]
},
{
    blockid=dialog1;
    help=store_quota_dialog1;
    localvar={
	.name.text="\u7ba1\u7406\u8005 ID:";
    };
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    id=namelabel;
		    text=$.name.text;
		    wrap=$g.label.size5;
		},
		{
		    ctrl=text;
		    label=namelabel;
		    val=$adminname;
		}
	    ]
	}
    ]
}
]
